Bug 63965 - Unicode size mismatch in tkinter module
Summary: Unicode size mismatch in tkinter module
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: python2   
(Show other bugs)
Version: skipjack-beta2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-22 20:18 UTC by Mark Salter
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-22 20:18:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark Salter 2002-04-22 20:18:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
The size of unicode characters is 4 bytes in python2 and 2 bytes
in Tcl. This causes an error when using unicode in tkinter module.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Run simple python script (see additional info below).
2.
3.
	

Actual Results:  Error complaining about size mismatch between Py_UNICODE and
Tcl_UniChar.

Expected Results:  Button display with "Hello" text.

Additional info:

import Tkinter
RootWindow=Tkinter.Tk()
LabelText=u"Hello"
LabelWidget=Tkinter.Label(RootWindow,text=LabelText)
LabelWidget.pack()
RootWindow.mainloop()

Comment 1 Trond Eivind Glomsrxd 2002-04-23 22:39:57 UTC
Fixed in python-2.2.1-3


Note You need to log in before you can comment on or make changes to this bug.